#include <utility.h>
#include <cvirte.h>		
#include <userint.h>
#include "call EXE.h"

static int panelHandle,exeHandle = 0;

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0)
		return -1;	/* out of memory */
	if ((panelHandle = LoadPanel (0, "call EXE.uir", PANEL)) < 0)
		return -1;
	DisplayPanel (panelHandle);
	RunUserInterface ();
	DiscardPanel (panelHandle);
	return 0;
}

int CVICALLBACK QuitCallback (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			QuitUserInterface (0);
			if(exeHandle >0)
				RetireExecutableHandle (exeHandle);
			break;
	}
	return 0;
}

int CVICALLBACK LaunchFull (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			LaunchExecutableEx ("test_dbg.exe /C full", LE_SHOWMINIMIZED, &exeHandle);
			break;
	}
	return 0;
}

int CVICALLBACK LaunchOriginal (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
	{
		case EVENT_COMMIT:
			LaunchExecutable ("test_dbg.exe");
			break;
	}
	return 0;
}
